//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Web.UI;
using CommunityServer.Controls;
using CommunityServer.Galleries.Components;

namespace CommunityServer.Galleries.Controls
{
	/// <summary>
	/// Summary description for CurrentSearch.
	/// </summary>
	public class CurrentSearch : Control
	{
		public CurrentSearch()
		{
		}

		protected override void OnInit(EventArgs e)
		{
			base.OnInit (e);
			Gallery g = Galleries.GetGallery();
			if(g != null)
			{
				TitleBar.AddSectionToSearch(g.SectionID,System.Web.HttpUtility.HtmlDecode(g.Name),Context);
			}
		}

	}
}
